//  @import com.hedgehoglab.application.BaseApplication;

//	@import com.hedgehoglab.solomon.model.UsersModel;
//  @import com.hedgehoglab.solomon.service.UsersService;
//	@import com.hedgehoglab.solomon.service.LicenceService;
	
//  @import com.hedgehoglab.solomon.view.UserListView;
//  @import com.hedgehoglab.solomon.view.UserEditView;
//  @import com.hedgehoglab.solomon.view.UserActionsView;

//  @import com.hedgehoglab.solomon.view.GenericSearchFieldView;

//	@import com.hedgehoglab.solomon.controller.UserListController;

function UserAdminApplication(scope) {
	BaseApplication.call(this, scope);
	this.main=function(resource){

		var _user_model=new UsersModel({});
		
		var _user_service = new UsersService({});
		
		var _user_listView = new UserListView({element:$('#divUserList'),list_element:$('#divContactsView')});
		var _user_findView = new GenericSearchFieldView({element:$('.FindPanel')});
		var _user_editView = new UserEditView({element:$('#divUserEdit')});
		var _user_actionsView = new UserActionsView({element:$('.actions-pane'),state:'user-list-state'});
		var _licence_service = new LicenceService({interval:10});
		
		var _user_controller = new UserListController({
			user_model:_user_model,
			
			user_service:_user_service,
			licence_service:_licence_service,
			
			user_listView:_user_listView,
			user_findView:_user_findView,
			user_editView:_user_editView,
			user_actionsView:_user_actionsView,
			message_service:resource.message_service
		});
	}
};

new UserAdminApplication({});